import { FunctionalComponent } from "../../stencil-public-runtime";
import { Dayjs } from "dayjs";
interface CalendarDayProps {
  baseClass: string;
  date: Dayjs;
  isDisabled?: boolean;
  isInactive?: boolean;
  isHighlighted?: boolean;
  isSelected?: boolean;
  isToday?: boolean;
  onSelectDay?: (date: Dayjs) => void;
  onHoverDay?: (date: Dayjs) => void;
}
declare const CalendarDay: FunctionalComponent<CalendarDayProps>;
export default CalendarDay;
