import { Dayjs } from "dayjs";
export interface CalendarSheet {
  year: number;
  month: number;
  monthName: string;
  days: string[];
  dayNames: string[];
}
export declare const getCalendarSheet: (year: number, month: number, firstWeekday?: number, language?: string) => CalendarSheet;
export declare const isDateAfter: (date: string | Dayjs, compareDate: string | Dayjs, acceptSameDay?: boolean) => boolean;
export declare const isDateBefore: (date: string | Dayjs, compareDate: string | Dayjs, acceptSameDay?: boolean) => boolean;
export declare const isSameDay: (date: string | Dayjs, compareDate: string | Dayjs) => boolean;
export declare const restrictDateToRange: (date: string | Dayjs, minDate?: string | Dayjs, maxDate?: string | Dayjs) => Dayjs;
