export declare class List {
  /** enables the search field inside the list */
  filterable: boolean;
  /** The placeholder string for the search field */
  searchPlaceholder: string;
  domNode: HTMLUxListElement;
  items: Array<any>;
  slotLabels: Array<string>;
  filterString: string;
  /** list element that hosts all items */
  private ul;
  componentDidLoad(): void;
  /** returns true when item should be shown according to the filter */
  private isInFilter;
  /** set the Content from outside */
  setFilterValues(filterValues: Array<any>): Promise<void>;
  private onFilterChange;
  render(): any;
}
