export declare const formatPrefix: (prefix: string) => string;
export declare const getCallingCodeForCountry: (country: string, fallback?: string) => string;
export declare const getCountryForCallingCode: (prefix: string) => string;
export interface PhoneNumberValidator {
  getCountry: () => string;
  getPrefix: () => string;
  getFormattedValue: () => string;
  getValidatedValue: () => string;
  isValid: () => boolean;
}
export declare const getValidator: (value?: string, defaultCountry?: string) => PhoneNumberValidator;
