import { EventEmitter } from "../../stencil-public-runtime";
export declare class Tag {
  domNode: HTMLUxTagElement;
  /** This connects the tag with the container */
  reference: string;
  /** If set to true, the tag is removed on click and a uxRemove event is fired */
  removable: boolean;
  /** Fired when the tag is removed */
  remove: EventEmitter;
  private removeTag;
  render(): any;
}
