# ux-list



<!-- Auto Generated Below -->


## Properties

| Property            | Attribute            | Description                                 | Type      | Default    |
| ------------------- | -------------------- | ------------------------------------------- | --------- | ---------- |
| `filterable`        | `filterable`         | enables the search field inside the list    | `boolean` | `false`    |
| `searchPlaceholder` | `search-placeholder` | The placeholder string for the search field | `string`  | `"Search"` |


## Methods

### `setFilterValues(filterValues: Array<any>) => Promise<void>`

set the Content from outside

#### Returns

Type: `Promise<void>`




## Dependencies

### Used by

 - [ux-dropdown](../dropdown)

### Depends on

- [ux-checkbox-list-item](../checkbox-list-item)

### Graph
```mermaid
graph TD;
  ux-list --> ux-checkbox-list-item
  ux-checkbox-list-item --> ux-checkbox
  ux-dropdown --> ux-list
  style ux-list fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
