# ux-number-input



<!-- Auto Generated Below -->


## Properties

| Property       | Attribute       | Description                                                                                          | Type      | Default |
| -------------- | --------------- | ---------------------------------------------------------------------------------------------------- | --------- | ------- |
| `disabled`     | `disabled`      | indicates if the number input is disabled                                                            | `boolean` | `false` |
| `error`        | `error`         | indicates if the number input has an error state                                                     | `boolean` | `false` |
| `errorMsg`     | `error-msg`     | Error message that is rendered if component has an error                                             | `string`  | `null`  |
| `initialValue` | `initial-value` | initial value for the input                                                                          | `string`  | `"0"`   |
| `inputId`      | `input-id`      | id attribute for the input element, this will be set automatically if it is not set by the developer | `string`  | `""`    |
| `label`        | `label`         | Label text describing the number input field                                                         | `string`  | `""`    |
| `max`          | `max`           | max value                                                                                            | `string`  | `""`    |
| `min`          | `min`           | min value                                                                                            | `string`  | `""`    |
| `name`         | `name`          | name attribute for the input                                                                         | `string`  | `""`    |
| `required`     | `required`      | indicates if the number input is required                                                            | `boolean` | `false` |
| `step`         | `step`          | size of increment/decrement for the plus/minus button                                                | `string`  | `"1"`   |


----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
