# ux-radio-list-item



<!-- Auto Generated Below -->


## Properties

| Property   | Attribute  | Description                                                           | Type      | Default     |
| ---------- | ---------- | --------------------------------------------------------------------- | --------- | ----------- |
| `checked`  | `checked`  | indicates if the radio button is checked                              | `boolean` | `false`     |
| `disabled` | `disabled` | indicates if the radio button is disabled                             | `boolean` | `false`     |
| `label`    | `label`    | This is the label that is displayed for this item inside the dropdown | `string`  | `undefined` |
| `name`     | `name`     | name which is used for checkbox groups or as identifier in forms      | `string`  | `""`        |
| `value`    | `value`    | this value is used on the checkbox inside this item                   | `string`  | `undefined` |


## Events

| Event                   | Description | Type               |
| ----------------------- | ----------- | ------------------ |
| `uxRadioListItemChange` |             | `CustomEvent<any>` |


## Dependencies

### Depends on

- [ux-radio-button](../radio-button)

### Graph
```mermaid
graph TD;
  ux-radio-list-item --> ux-radio-button
  style ux-radio-list-item fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
