# ux-slider-pagination



<!-- Auto Generated Below -->


## Properties

| Property           | Attribute           | Description                                                                             | Type      | Default |
| ------------------ | ------------------- | --------------------------------------------------------------------------------------- | --------- | ------- |
| `anchorPagination` | `anchor-pagination` | if set, the navigation will take the necessary styles to be the anchor navigation       | `boolean` | `false` |
| `bottomPagination` | `bottom-pagination` | if set, the navigation will take the necessary styles to be the bottom navigation       | `boolean` | `false` |
| `customPagination` | `custom-pagination` | manages the pagination of custom slider types                                           | `string`  | `""`    |
| `sliderId`         | `slider-id`         | the unique id of the reference slider - this will be set automatically by the ux-slider | `string`  | `""`    |
| `withoutArrows`    | `without-arrows`    | if set, the navigation bullets will not have side arrows                                | `boolean` | `false` |


## Events

| Event                   | Description                   | Type               |
| ----------------------- | ----------------------------- | ------------------ |
| `uxSliderNextSlide`     | event to go to next slide     | `CustomEvent<any>` |
| `uxSliderPreviousSlide` | event to go to previous slide | `CustomEvent<any>` |


## Dependencies

### Depends on

- [ux-icon](../../icon)

### Graph
```mermaid
graph TD;
  ux-slider-pagination --> ux-icon
  style ux-slider-pagination fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
