import { EventEmitter } from "../../stencil-public-runtime";
export declare class DataIngest {
  /** Is fired when a request is sent with the name of the property */
  startRequest: EventEmitter<string>;
  host: HTMLUxDataIngestElement;
  /** contains the filtered attributes with their URLs */
  private attributes;
  /** observes changes to the attributes */
  private observer;
  componentWillLoad(): void;
  disconnectedCallback(): void;
  /** reads the attributes and their URLs and matches them with the previous ones */
  private refreshAttributes;
  /** loads the data from the url supplied via attribute to put it onto the child element */
  private loadData;
  private getScriptTag;
  render(): any;
}
